TagLib::Ogg::FLAC::Properties Class Reference

An implementation of audio property reading for FLAC. More...

`#include <flacproperties.h>`

Inheritance diagram for TagLib::Ogg::FLAC::Properties:
[legend]
Collaboration diagram for TagLib::Ogg::FLAC::Properties:
[legend]

## Public Member Functions

| Properties (const ByteVector &data, offset_t streamLength, ReadStyle style=Average)
| Properties (const Properties &)=delete
| ~Properties () override
Properties & | operator= (const Properties &)=delete
int | lengthInMilliseconds () const override
int | bitrate () const override
int | sampleRate () const override
int | channels () const override
int | bitsPerSample () const
unsigned long long | sampleFrames () const
ByteVector | signature () const
Public Member Functions inherited from TagLib::AudioProperties
virtual | ~AudioProperties ()
| AudioProperties (const AudioProperties &)=delete
AudioProperties & | operator= (const AudioProperties &)=delete
virtual TAGLIB_DEPRECATED int | length () const
virtual int | lengthInSeconds () const

## Additional Inherited Members

Public Types inherited from TagLib::AudioProperties
enum | ReadStyle { Fast , Average , Accurate }
Protected Member Functions inherited from TagLib::AudioProperties
| AudioProperties (ReadStyle style)

## Detailed Description

An implementation of audio property reading for FLAC.

This reads the data from a FLAC stream found in the AudioProperties API.

## Constructor & Destructor Documentation

## Properties() [1/2]

TagLib::FLAC::Properties::Properties | ( | const ByteVector & | data,
|  | offset_t | streamLength,
|  | ReadStyle | style = Average )

Create an instance of FLAC::Properties with the data read from the ByteVector data.

## Properties() [2/2]

TagLib::FLAC::Properties::Properties | ( | const Properties & |  | ) |

delete

## ~Properties()

TagLib::FLAC::Properties::~Properties | ( |  | ) |

override

Destroys this FLAC::Properties instance.

## Member Function Documentation

## bitrate()

int TagLib::FLAC::Properties::bitrate | ( |  | ) | const

override virtual

Returns the average bit rate of the file in kb/s.

Reimplemented from TagLib::AudioProperties.

## bitsPerSample()

int TagLib::FLAC::Properties::bitsPerSample | ( |  | ) | const

Returns the number of bits per audio sample as read from the FLAC identification header.

## channels()

int TagLib::FLAC::Properties::channels | ( |  | ) | const

override virtual

Returns the number of audio channels.

Implements TagLib::AudioProperties.

## lengthInMilliseconds()

int TagLib::FLAC::Properties::lengthInMilliseconds | ( |  | ) | const

override virtual

Returns the length of the file in milliseconds.

See also
  lengthInSeconds()

Reimplemented from TagLib::AudioProperties.

## operator=()

Properties & TagLib::FLAC::Properties::operator= | ( | const Properties & |  | ) |

delete

## sampleFrames()

unsigned long long TagLib::FLAC::Properties::sampleFrames | ( |  | ) | const

Returns the number of sample frames.

## sampleRate()

int TagLib::FLAC::Properties::sampleRate | ( |  | ) | const

override virtual

Returns the sample rate in Hz.

Reimplemented from TagLib::AudioProperties.

## signature()

ByteVector TagLib::FLAC::Properties::signature | ( |  | ) | const

Returns the MD5 signature of the uncompressed audio stream as read from the stream info header.

The documentation for this class was generated from the following file:

- flacproperties.h